%define name sakuraplayer
%define version 1.0.5
%define release 1mdk

Summary: KDE2-based player for tfmx music from the Amiga
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: kdelibs-devel
Url: http://darkstar.tabu.uni-bonn.de/~neo/audio.html

%description
Sakura Player is the successor of TFMXcess with a KDE2 GUI. 
It is based on the tfmx-play sources.
You can use it for tfmx modules from famous amiga games like R-Type
or Turrican.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
rm -f config.cache
#don't use %%configure macro
./configure --prefix=%{_prefix} --disable-rpath 
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_menudir},%{_iconsdir},%{_miconsdir},%{_liconsdir}}
%makeinstall
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="Multimedia/Sound" title="Sakura Player" \
		longtitle="TFMX music player for KDE2"
EOF
ln $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT/%{_miconsdir}
ln $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT/%{_iconsdir}
ln $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png $RPM_BUILD_ROOT/%{_liconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO 8.3converter/*
%doc %{_datadir}/doc/HTML/en/sakuraplayer/*
%{_bindir}/sakuraplayer
%{_datadir}/icons/*
%{_datadir}/applnk/*/sakuraplayer.desktop
%{_datadir}/mimelnk/audio/x-tfmx.desktop
%{_menudir}/%{name}

%changelog
* Tue Jan 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5

* Fri Oct 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-2mdk
- rebuild against new libpng

* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.0.4
	- removed Buildrequires for fam-devel 

* Fri Aug  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- BuildRequires: fam-devel
- 1.0.2

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> 
	- 1.0.1

* Thu Jun 21 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0

* Tue Jun 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- 0.7.0
- updated file list

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package

